//
//  XHBbluetoothList.m
//  yujunwuliu
//
//  Created by yuchen on 16/8/31.
//  Copyright © 2016年 yuchen. All rights reserved.
//

#import "XHBbluetoothList.h"

@interface XHBbluetoothList ()<UITableViewDataSource,UITableViewDelegate>

@property UITableView *tableview;
@property NSMutableArray *bluetoothArr;

@end

@implementation XHBbluetoothList

-(instancetype)initWithFrame:(CGRect)frame and:(NSMutableArray *)bluetoothArr{
    self =[super initWithFrame:frame];
    self.bluetoothArr =[[NSMutableArray alloc]init];
    self.bluetoothArr =bluetoothArr;
    _tableview =[[UITableView alloc]initWithFrame:self.frame];
    _tableview.delegate =self;
    _tableview.dataSource =self;
    [self addSubview:_tableview];
    return self;
}
#pragma mark ---tableview delegate--
-(NSInteger)numberOfSectionsInTableView:(UITableView *)tableView{
    return 1;
}
-(NSInteger )tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
//    NSLog(@"%@",self.bluetoothArr);
    return self.bluetoothArr.count;
}
-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    UITableViewCell *cell =[tableView dequeueReusableCellWithIdentifier:@"cellID"];
    if (!cell) {
        cell =[[UITableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"cellID"];
    }
    cell.textLabel.text =self.bluetoothArr[indexPath.row];
    
    return cell;
}
-(void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath{
    
    [tableView setHidden:YES];

}

-(CGFloat)tableView:(UITableView *)tableView heightForHeaderInSection:(NSInteger)section{
    return 44;
}
-(UIView*)tableView:(UITableView *)tableView viewForHeaderInSection:(NSInteger)section{
    UILabel *lab =[[UILabel alloc]initWithFrame:CGRectMake(0, 0, tableView.frame.size.width, tableView.frame.size.height)];
    lab.text =@"请选择蓝牙设备";
    [lab setFont:[UIFont systemFontOfSize:16]];
    [lab setTextAlignment:NSTextAlignmentCenter];
    [lab setTextColor:[UIColor blueColor]];
    return lab;
}


/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

@end
